<template>
  <div class="header">
    <div>
      <div class="site-header">
        <div class="site-header__logo">
          <kinesis-container>
            <kinesis-element :strength="30" type="depth">
              <img class="extras--img-center" src="@/assets/logo_long1.png" />
            </kinesis-element>
          </kinesis-container>
        </div>
      </div>
    </div>

    <div class="site-banner__bg">
      <kinesis-container>
        <kinesis-element :strength="20">
          <h1 class="headline headline--title">
            The last true resort for men, who seek timeless style
          </h1>
        </kinesis-element>
        <kinesis-element :strength="30">
          <h2 class="headline headline--subtitle">
            Time away from time. Get your hair and beard done at same time.
          </h2>
        </kinesis-element>
      </kinesis-container>
      ç
      <div class="btn--top  1">
        <a @click="btnTakeAppointment">Take Appointment</a>
      </div>
    </div>
  </div>
</template>

<script>
import { KinesisContainer, KinesisElement } from "vue-kinesis";
export default {
  name: "Header",
  components: {
    KinesisContainer,
    KinesisElement
  },

  methods: {
    btnTakeAppointment() {
      this.$emit("take-appointment");
    },
  
  
  }
};
</script>

<style scoped>
.flex-container{
 display: flex;
}
html {
  margin-left: 0px;
  width: 1388px;
}
.extras--img-center {
  display: block;
  margin: 0 auto;
  width: 360px;
}

@media only screen and (max-width: 100%) {
  /* For mobile phones: */
  [class*=".extras--img-center"] {
  }
}

.primary-nav-up {
  margin-left: 222px;
  margin-right: 222px;
  font-size: 16px;
}

.btn--top {
  width: 100%;
  display: block;
  text-align: center;
  margin-top: 50px;
}

.btn--top a {
  background-color: white;
  color: black;
  text-decoration: none;

  display: inline-block;
  font-size: 16px;

  padding: 16px 65px;
  border-radius: 40px;

  cursor: pointer;
}
.btn--top a:hover {
  background-color: #d2dbf9;
}

.headline {
  margin: 0;
  padding: 0;
}
.headline--title {
  font-family: "Intro";
  display: block;
  text-align: center;

  font-weight: bolder;
  font-style: normal;

  letter-spacing: 4px;
  width: 822px;
  color: white;

  margin: 10px auto;
  font-size: 36px;
}
.headline--subtitle {
  font-family: "ChaparralPro";
  display: block;
  text-align: center;

  font-weight: normal;
  font-style: normal;

  width: 484px;
  color: white;
  margin: 10px auto;
  font-size: 26px;
}

.site-header {
  width: 100%;
  margin: 0 auto;
  margin-top: 50px;
  float: left;
}

@media (max-width: 960px) {
  .headline--title {
    width: 100%;
    font-size: 30px;
    padding-left: 30px;
    padding-right: 30px;
    letter-spacing: none;
    margin-bottom: 30px;
  }
}

@media (max-width: 580px) {
  .headline--title {
    width: 100%;
    font-size: 24px;
    padding-left: 20px;
    padding-right: 20px;
    letter-spacing: none;
    margin-bottom: 35px;
  }
}

.headline--subtitle {
  font-family: "ChaparralPro";
  display: block;
  text-align: center;

  font-weight: normal;
  font-style: normal;

  width: 484px;
  color: white;
  margin: 10px auto;
  font-size: 26px;
}

@media (max-width: 960px) {
  .headline--subtitle {
    width: 100%;
    font-size: 24px;
    padding-left: 40px;
    padding-right: 40px;
  }
}

@media (max-width: 580px) {
  .headline--subtitle {
    width: 100%;
    font-size: 20px;
    padding-left: 45px;
    padding-right: 45px;
  }
}

.site-header--nav--no-visible {
  z-index: -10;
}
.site-banner__bg {
  background-color: rgba(0, 0, 0, 0.45);
  background-color: lightblue;
  background-size: cover;
  padding-top: 50px;
  padding-bottom: 30px;
  display: block;
  height: 655px;
}

.primary-nav ul {
  margin: 0;
  padding: 0;
}
.primary-nav li {
  list-style: none;
  display: block;
}
.primary-nav-up li {
  list-style: none;
  display: inline-block;
  margin-right: 82px;
}

.primary-nav-up li:nth-child(3) {
  float: right;
  margin-right: 0;
}

.primary-nav-up li:nth-child(3)::after {
  display: block;
  content: "";
  clear: both;
}

.primary-nav-up li:nth-child(4) {
  float: right;
}

.primary-nav-up li:nth-child(4)::after {
  display: block;
  content: "";
  clear: both;
}

.primary-nav a {
  display: block;
  padding: 0;
  margin: 0;
  margin-bottom: 25px;
  text-decoration: none;

  color: white;
  font-family: "ChaparralPro";

  font-weight: normal;
  font-style: normal;
}

.wrapper--full {
  display: block;
  max-width: 1000px;

  margin-right: auto;
  margin-left: auto;
  padding: 0 20px;
}
</style>
